>From 2fe3e4ae80c21bf87fee8d0918d03de012f198ea Mon Sep 17 00:00:00 2001
From: Andres Freund <andres@anarazel.de>
Date: Mon, 24 Dec 2012 17:09:25 +0100
Subject: [PATCH] Adapt some more function declarations to return Oid

Those were missed in a previous commit that changed some more backend functions
to return the Oid of the object that has been affected.

It seems the commit didn't include some of the local changes.
---
 src/include/commands/event_trigger.h |    4 ++--
 src/include/commands/tablecmds.h     |    2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/src/include/commands/event_trigger.h b/src/include/commands/event_trigger.h
index 459d27f..501da7c 100644
--- a/src/include/commands/event_trigger.h
+++ b/src/include/commands/event_trigger.h
@@ -36,8 +36,8 @@ extern void RemoveEventTriggerById(Oid ctrigOid);
 extern Oid	get_event_trigger_oid(const char *trigname, bool missing_ok);
 
 extern void AlterEventTrigger(AlterEventTrigStmt *stmt);
-extern void RenameEventTrigger(const char* trigname, const char *newname);
-extern void AlterEventTriggerOwner(const char *name, Oid newOwnerId);
+extern Oid RenameEventTrigger(const char* trigname, const char *newname);
+extern Oid AlterEventTriggerOwner(const char *name, Oid newOwnerId);
 extern void AlterEventTriggerOwner_oid(Oid, Oid newOwnerId);
 
 extern bool EventTriggerSupportsObjectType(ObjectType obtype);
diff --git a/src/include/commands/tablecmds.h b/src/include/commands/tablecmds.h
index d0ef4ae..8c683ce 100644
--- a/src/include/commands/tablecmds.h
+++ b/src/include/commands/tablecmds.h
@@ -35,7 +35,7 @@ extern void ATExecChangeOwner(Oid relationOid, Oid newOwnerId, bool recursing, L
 
 extern void AlterTableInternal(Oid relid, List *cmds, bool recurse);
 
-extern void AlterTableNamespace(AlterObjectSchemaStmt *stmt);
+extern Oid AlterTableNamespace(AlterObjectSchemaStmt *stmt);
 
 extern void AlterTableNamespaceInternal(Relation rel, Oid oldNspOid,
 							Oid nspOid, ObjectAddresses *objsMoved);
-- 
1.7.10.4

